jQuery(document).ready(function($) {
	var map = new naver.maps.Map("map", {
		center: new naver.maps.LatLng(37.653494,127.05018183),	
		zoom: 11,
		mapTypeControl: true
	});
	var infoWindow = new naver.maps.InfoWindow({
		anchorSkew: true
	});
	map.setCursor('pointer');

	// search by tm128 coordinate
	function searchCoordinateToAddress(latlng) {
		var tm128 = naver.maps.TransCoord.fromLatLngToTM128(latlng);
		//var tm128 = naver.maps.LatLng(latlng);
		infoWindow.close();
		naver.maps.Service.reverseGeocode({
			location: tm128,
			coordType: naver.maps.Service.CoordType.TM128
		}, function(status, response) {
			if (status === naver.maps.Service.Status.ERROR) {
				return alert('Something Wrong!');
			}
			var items = response.result.items,
				htmlAddresses = [];
			for (var i=0, ii=items.length, item, addrType; i<ii; i++) {
				item = items[i];
				addrType = item.isRoadAddress ? '[도로명 주소]' : '[지번 주소]';
				htmlAddresses.push((i+1) +'. '+ addrType +' '+ item.address);
				htmlAddresses.push('&nbsp&nbsp&nbsp -> '+ item.point.x +','+ item.point.y);
			}
			infoWindow.setContent([
					'<div style="padding:10px;min-width:200px;line-height:150%;">',
					'<h4 style="margin-top:5px;">검색 좌표 : '+ response.result.userquery +'</h4><br />',
					htmlAddresses.join('<br />'),
					'</div>'
				].join('\n'));
			infoWindow.open(map, latlng);
		});
		//$('#searched_LatLng').val( '' );
		$('#address').val( '' );
		//$('#sort_code').text( '' );
		$('#sort_code').text('[itssue_naver_map zoom="11" latlng=" " id="01"]');
	}


	// result by latlng coordinate
	function searchAddressToCoordinate(address) {
		naver.maps.Service.geocode({
			address: address
		}, function(status, response) {
			if (status === naver.maps.Service.Status.ERROR) {
				return alert('주소가 잘못되었습니다!');
			}
			var item = response.result.items[0],
				addrType = item.isRoadAddress ? '[도로명 주소]' : '[지번 주소]',
				point = new naver.maps.Point(item.point.x, item.point.y);
			infoWindow.setContent([
					'<div style="padding:10px;min-width:200px;line-height:150%;">',
					'<h4 style="margin-top:5px;">검색 주소 : '+ response.result.userquery +'</h4><br />',
					addrType +' '+ item.address +'<br />',
					'&nbsp&nbsp&nbsp -> <span class="codexy">'+ point.y +','+ point.x,
					'</span></div>'
				].join('\n'));
			//$('#searched_LatLng').val( point.y +','+ point.x );
			//$('#sort_code').text( point.y +','+ point.x );
			$('#sort_code').text('[itssue_naver_map zoom="11" latlng="' + point.y +','+ point.x + '" id="01"]');
			map.setCenter(point);
			infoWindow.open(map, point);
		});
	}
	function initGeocoder() {
		map.addListener('click', function(e) {
			//console.log($(this));
			searchCoordinateToAddress(e.coord);
		});
		$('input#address').on('keydown', function(e) {
			var keyCode = e.which;
			if (keyCode === 13) { // Enter Key
				searchAddressToCoordinate( $('#address').val() );
			}
		});
		$('input#submit').click( function(e) {
			e.preventDefault();			
			searchAddressToCoordinate( $('#address').val() );
		});
		searchAddressToCoordinate('창동 13-2');
	}
	naver.maps.onJSContentLoaded = initGeocoder;
});