<?php
/**
 * Plugin Name: NAVER MAP V3
 * Description: 네이버 지도 V3
 * Version: 0.1.2
 * Author: ITSSUE
 * Author URI: http://www.itssue.co.kr
 * License: Private, Own by Itssue
**/

//옵션설정
function itssue_naver_map_v3() {
	if (current_user_can( 'manage_options' )) {
		//옵션설정 페이지
		function naver_map_option_page() {
			include ('naver-api.php');
		}
		//어드민 메뉴
		add_submenu_page(
			'options-general.php',
			'Naver Map Option Page',
			'네이버 지도 API V3',
			'manage_options',
			'naver-map-submenu-page',
			'naver_map_option_page' 
		);

 		if( get_option( 'naver-map-client-id' ) != null ){
			//옵션설정 페이지
			function naver_map_option_page1() {
				include ('naver-code.php');
			}
			//어드민 메뉴
			add_submenu_page(
				'options-general.php',
				'Naver Map Code Page',
				'네이버 지도 숏코드',
				'manage_options',
				'naver-map-sortcode-page',
				'naver_map_option_page1' 
			);			
		}	 
		function add_naver_map_options() {
			//테이블: wp_options
			register_setting( 'naver-map-options', 'naver-map-client-id' );
		}
		add_action( 'admin_init', 'add_naver_map_options' );
	}else{
		return;
	}
}
add_action('admin_menu', 'itssue_naver_map_v3');

class ITSSUE_Naver_Map {
	function __construct() {
		add_shortcode( 'itssue_naver_map', array( $this, 'handler' ) );
	}
	function handler( $atts = array() ) {
		//[itssue_naver_map zoom="11" LatLng="37.653494,127.05018183"]
		$zoom_level = isset( $atts['zoom'] ) ? $atts['zoom'] : 11;
		$latlng = isset( $atts['latlng'] ) ? $atts['latlng'] : "37.653494,127.05018183";
		$id_number = isset( $atts['id'] ) ? $atts['id'] : "01";
		ob_start();
		?>
		<div id="map<?php echo $id_number; ?>" style="width:100%;height:400px;border:1px solid #cfcfcf;">

		</div>
		<script type="text/javascript">
			var map = new naver.maps.Map("map<?php echo $id_number; ?>", {
				center: new naver.maps.LatLng( <?php echo $latlng; ?> ),	
				zoom: <?php echo $zoom_level; ?>,
				mapTypeControl: true,
				mapDataControl: false,
				logoControl: false
			});
			var marker = new naver.maps.Marker({
				position: new naver.maps.LatLng( <?php echo $latlng; ?> ),
				map: map,
			});
		</script>
		<?php
		return ob_get_clean();
	}
}

new ITSSUE_Naver_Map();

function naver_map_client_id() {
	$naver_map_client_id = get_option( 'naver-map-client-id' ); 
	if ( $naver_map_client_id != null ) {
		echo '<script type="text/javascript" src="https://openapi.map.naver.com/openapi/v3/maps.js?clientId=';
		echo get_option( 'naver-map-client-id' );
		echo '"></script>';
	}
}
add_action('wp_head', 'naver_map_client_id');